	SUBROUTINE SCRAM(IOUT,TOUT,XVAR,Y)

C
C	### with weights for MCDA ###
C
C	INPUT:  XVAR(NVARS)    
C		TOUT(IOUT)	VECTOR OF TIME VALUES
C		IOUT		NUMBER OF TIME POINTS
C		NELCHN		NUMBER OF ELEMENTS IN THE CHAIN
C
C	OUTPUT: Y(IOUT)         OUTPUT ACROSS TIME	
C	
	DIMENSION Y(*),XVAR(*),TOUT(*),Y1(IOUT),Y2(IOUT)	
	REAL LT,LF,LLM,T
		
	LT=XVAR(1)
	LF=XVAR(2)
	LLM=XVAR(3)
	
	DO ITIME=1,IOUT
	  T=tout(itime)*720.
	  Y2(ITIME)=12.*LT**2*LF**3*T**5+4*LF**3*LLM*T**4+
     +       3.*LT**2*LLM*T**3
          Y1(ITIME)=0.0004*LF**3*T**3+
     +       (LLM**2+0.0003*LT**2)*T**2+
     +       0.0002*LLM*T+0.00000001
c	  Y(ITIME)=Y1(ITIME)+Y2(ITIME)

	  Y(ITIME)=LT
	  
c	  WRITE(44,*) TOUT(ITIME),Y1(ITIME),Y2(ITIME)
	  
	ENDDO
	
c	  WRITE(44,*) TOUT(1),Y(1)
	
	RETURN
	END
